首页新闻找找看学习计划

win 2003 下安装 MySql报错 Write configuration file ???

0
[已解决问题] 解决于 2017-09-09 15:02

错误提示如下。

 

是在虚拟机win 2003 64bit 里安装的;

1、安装前没有安装过MySql。

2、安装路径也没有中文路径。

3、mysql-cluster-gpl-7.2.4-win32.msi  这是安装的版本。

过河小斌的主页 过河小斌 | 初学一级 | 园豆:111
提问于:2017-09-06 16:13
< >
分享
最佳答案
0

装这个啊mysql-5.5.28-winx64.msi

奖励园豆:5
ycyzharry | 专家六级 |园豆:18405 | 2017-09-06 16:28

mysql-5.5.28-winx64.msi 是在官网下的吗?https://downloads.mysql.com/archives/cluster/ 

这个版本较低吧。mysql-cluster-gpl-7.2.4-win32.msi 这都12年的了。区别应该不大吧,现在都没装起。

过河小斌 | 园豆:111 (初学一级) | 2017-09-06 16:38

是在安装目录下差了My-template.cnf 文件,我手动加了个文件后提示

过河小斌 | 园豆:111 (初学一级) | 2017-09-06 16:42

@过河小斌: 是官网的,下这个啊

https://dev.mysql.com/downloads/mysql/5.5.html#downloads

ycyzharry | 园豆:18405 (专家六级) | 2017-09-06 17:11
其他回答(3)
0

检查一下提示目录下是否存在该文件并且是只读(去掉只读即可),如果不是,那么一般是文件系统权限问题。你可以尝试更改安装目录到D盘,或者修改C盘对应目录的UCA用户权限,或者使用管理员身份安装。

金琥 | 园豆:2540 (老鸟四级) | 2017-09-06 17:08
0

我觉得首先你要判断一下你这个版本的mysql-cluster里含的mysql的版本是多少,mysql最新版本是5.7,但是mysql5.5之前才支持win2003。

也就是说你的集群里包含的mysql版本是5.5以前才能支持

猝不及防 | 园豆:1114 (小虾三级) | 2017-09-07 15:01
0

你好,请问这个问题解决了吗?我也是这样的问题,可以告诉下怎么解决的吗?

婉居 | 园豆:202 (菜鸟二级) | 2019-09-20 15:38
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册